Update an Event Attendee
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invited": "<boolean>",
"rsvp": "<boolean>",
"rsvpResponse": "<boolean>",
"attended": "<boolean>",
"schedule": "<string>",
"table": "<string>",
"meal": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invited: '<boolean>',
rsvp: '<boolean>',
rsvpResponse: '<boolean>',
attended: '<boolean>',
schedule: '<string>',
table: '<string>',
meal: '<string>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch('https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}"
payload = {
"invited": "<boolean>",
"rsvp": "<boolean>",
"rsvpResponse": "<boolean>",
"attended": "<boolean>",
"schedule": "<string>",
"table": "<string>",
"meal": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"invited\": \"<boolean>\",\n \"rsvp\": \"<boolean>\",\n \"rsvpResponse\": \"<boolean>\",\n \"attended\": \"<boolean>\",\n \"schedule\": \"<string>\",\n \"table\": \"<string>\",\n \"meal\": \"<string>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'invited' => '<boolean>',
'rsvp' => '<boolean>',
'rsvpResponse' => '<boolean>',
'attended' => '<boolean>',
'schedule' => '<string>',
'table' => '<string>',
'meal' => '<string>',
'customFields' => [
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
],
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"invited\": \"<boolean>\",\n \"rsvp\": \"<boolean>\",\n \"rsvpResponse\": \"<boolean>\",\n \"attended\": \"<boolean>\",\n \"schedule\": \"<string>\",\n \"table\": \"<string>\",\n \"meal\": \"<string>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"invited\": \"<boolean>\",\n \"rsvp\": \"<boolean>\",\n \"rsvpResponse\": \"<boolean>\",\n \"attended\": \"<boolean>\",\n \"schedule\": \"<string>\",\n \"table\": \"<string>\",\n \"meal\": \"<string>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invited: '<boolean>',
rsvp: '<boolean>',
rsvpResponse: '<boolean>',
attended: '<boolean>',
schedule: '<string>',
table: '<string>',
meal: '<string>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"schedule": "Morning",
"table": "12",
"meal": "Vegetarian",
"eventInvitationUrl": "<string>",
"contactId": "<integer>",
"contactIndividualId": "<integer>",
"invitee": "<string>",
"contactUrl": "<string>",
"event": "<string>",
"eventId": "<integer>",
"eventViewUrl": "<string>",
"location": "<string>",
"startDateTime": "<string>",
"endDateTime": "<string>",
"timeZone": "<string>",
"rsvp": "<string>",
"attended": "<string>",
"emailAddress": "<string>",
"invited": "<string>",
"emailStatus": "<string>",
"emailSent": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Event Attendees
Update an Event Attendee
PUT
/
api
/
Event
/
{eventId}
/
Attendees
/
{eventAttendeeId}
Update an Event Attendee
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invited": "<boolean>",
"rsvp": "<boolean>",
"rsvpResponse": "<boolean>",
"attended": "<boolean>",
"schedule": "<string>",
"table": "<string>",
"meal": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invited: '<boolean>',
rsvp: '<boolean>',
rsvpResponse: '<boolean>',
attended: '<boolean>',
schedule: '<string>',
table: '<string>',
meal: '<string>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch('https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}"
payload = {
"invited": "<boolean>",
"rsvp": "<boolean>",
"rsvpResponse": "<boolean>",
"attended": "<boolean>",
"schedule": "<string>",
"table": "<string>",
"meal": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"invited\": \"<boolean>\",\n \"rsvp\": \"<boolean>\",\n \"rsvpResponse\": \"<boolean>\",\n \"attended\": \"<boolean>\",\n \"schedule\": \"<string>\",\n \"table\": \"<string>\",\n \"meal\": \"<string>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'invited' => '<boolean>',
'rsvp' => '<boolean>',
'rsvpResponse' => '<boolean>',
'attended' => '<boolean>',
'schedule' => '<string>',
'table' => '<string>',
'meal' => '<string>',
'customFields' => [
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
],
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"invited\": \"<boolean>\",\n \"rsvp\": \"<boolean>\",\n \"rsvpResponse\": \"<boolean>\",\n \"attended\": \"<boolean>\",\n \"schedule\": \"<string>\",\n \"table\": \"<string>\",\n \"meal\": \"<string>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"invited\": \"<boolean>\",\n \"rsvp\": \"<boolean>\",\n \"rsvpResponse\": \"<boolean>\",\n \"attended\": \"<boolean>\",\n \"schedule\": \"<string>\",\n \"table\": \"<string>\",\n \"meal\": \"<string>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invited: '<boolean>',
rsvp: '<boolean>',
rsvpResponse: '<boolean>',
attended: '<boolean>',
schedule: '<string>',
table: '<string>',
meal: '<string>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"schedule": "Morning",
"table": "12",
"meal": "Vegetarian",
"eventInvitationUrl": "<string>",
"contactId": "<integer>",
"contactIndividualId": "<integer>",
"invitee": "<string>",
"contactUrl": "<string>",
"event": "<string>",
"eventId": "<integer>",
"eventViewUrl": "<string>",
"location": "<string>",
"startDateTime": "<string>",
"endDateTime": "<string>",
"timeZone": "<string>",
"rsvp": "<string>",
"attended": "<string>",
"emailAddress": "<string>",
"invited": "<string>",
"emailStatus": "<string>",
"emailSent": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Path Parameters
Body
application/json
Response
OK
Last modified on April 23, 2026
Was this page helpful?